Index: admin/js/_blog_pref.js
===================================================================
--- admin/js/_blog_pref.js	(revision 3524)
+++ admin/js/_blog_pref.js	(revision 3706)
@@ -1,6 +1,8 @@
+/*global $, dotclear, jsToolBar */
+'use strict';
 function checkQueryString() {
 	var blogUrl = $('#blog_url')[0].value;
 	var urlScan = $('#url_scan')[0].value;
-	errorMsg = '';
+	var errorMsg = '';
 	if (/.*[^\/]$/.exec(blogUrl) && urlScan=='path_info') {
 		errorMsg = dotclear.msg.warning_path_info;
@@ -8,7 +10,7 @@
 		errorMsg = dotclear.msg.warning_query_string;
 	}
-	$("p#urlwarning").remove();
+	$('p#urlwarning').remove();
 	if (errorMsg != '') {
-		$("#blog_url").parents('p').after('<p id="urlwarning" class="warning">'+errorMsg+'</p>');
+		$('#blog_url').parents('p').after('<p id="urlwarning" class="warning">'+errorMsg+'</p>');
 	}
 }
Index: admin/js/_blog_theme.js
===================================================================
--- admin/js/_blog_theme.js	(revision 2566)
+++ admin/js/_blog_theme.js	(revision 3706)
@@ -1,78 +1,85 @@
+/*global $, dotclear */
+'use strict';
+
 $(function() {
-	// expend theme info
-	$('.module-sshot').not('.current-theme .module-sshot').each(function(){
-		var bar = $('<div>').addClass('bloc-toggler');
-		$(this).after(
-		$(bar).toggleWithLegend($(this).parent().children('.toggle-bloc'),{
-			img_on_src: dotclear.img_plus_theme_src,
-			img_on_alt: dotclear.img_plus_theme_alt,
-			img_off_src: dotclear.img_minus_theme_src,
-			img_off_alt: dotclear.img_minus_theme_alt,
-			legend_click: true
-		}));
-		$(this).children('img').click(function(){
-			$(this).parent().parent().children('.bloc-toggler').click();
-		});
-	});
+  // expend theme info
+  $('.module-sshot').not('.current-theme .module-sshot').each(function() {
+    var bar = $('<div>').addClass('bloc-toggler');
+    $(this).after(
+      $(bar).toggleWithLegend($(this).parent().children('.toggle-bloc'), {
+        img_on_src: dotclear.img_plus_theme_src,
+        img_on_alt: dotclear.img_plus_theme_alt,
+        img_off_src: dotclear.img_minus_theme_src,
+        img_off_alt: dotclear.img_minus_theme_alt,
+        legend_click: true
+      }));
+    $(this).children('img').click(function() {
+      $(this).parent().parent().children('.bloc-toggler').click();
+    });
+  });
 
-	// dirty short search blocker
-	$('div.modules-search form input[type=submit]').click(function(){
-		var mlen = $('input[name=m_search]',$(this).parent()).val();
-		if (mlen.length > 2){return true;}else{return false;}
-	});
+  // dirty short search blocker
+  $('div.modules-search form input[type=submit]').click(function() {
+    var mlen = $('input[name=m_search]', $(this).parent()).val();
+    if (mlen.length > 2) {
+      return true;
+    } else {
+      return false;
+    }
+  });
 
-	// checkboxes selection
-	$('.checkboxes-helpers').each(function() {
-		dotclear.checkboxesHelpers(this);
-	});
+  // checkboxes selection
+  $('.checkboxes-helpers').each(function() {
+    dotclear.checkboxesHelpers(this);
+  });
 
-	// actions tests
-	$('.modules-form-actions').each(function(){
-		var rxActionType = /^[^\[]+/;
-		var rxActionValue = /([^\[]+)\]$/;
-		var checkboxes = $(this).find('input[type=checkbox]');
+  // actions tests
+  $('.modules-form-actions').each(function() {
+    var rxActionType = /^[^\[]+/;
+    var rxActionValue = /([^\[]+)\]$/;
+    var checkboxes = $(this).find('input[type=checkbox]');
 
-		// check if submit is a global action or one line action
-		$("input[type=submit]",this).click(function() {
-			var keyword = $(this).attr('name');
-			var maction = keyword.match(rxActionType);
-			var action = maction[0];
-			var mvalues = keyword.match(rxActionValue);
+    // check if submit is a global action or one line action
+    $('input[type=submit]', this).click(function() {
+      var keyword = $(this).attr('name');
+      var maction = keyword.match(rxActionType);
+      var action = maction[0];
+      var mvalues = keyword.match(rxActionValue);
 
-			// action on multiple modules
-			if (!mvalues) {
-				var checked = false;
+      // action on multiple modules
+      if (!mvalues) {
+        var checked = false;
 
-				// check if there is checkboxes in form
-				if(checkboxes.length > 0) {
-					// check if there is at least one checkbox checked
-					$(checkboxes).each(function() {
-						if (this.checked) {
-							checked = true;
-						}
-					});
-					if (!checked) {
-						//alert(dotclear.msg.no_selection);
-						return false;
-					}
-				}
+        // check if there is checkboxes in form
+        if (checkboxes.length > 0) {
+          // check if there is at least one checkbox checked
+          $(checkboxes).each(function() {
+            if (this.checked) {
+              checked = true;
+            }
+          });
+          if (!checked) {
+            //alert(dotclear.msg.no_selection);
+            return false;
+          }
+        }
 
-				// confirm delete
-				if (action == 'delete') {
-					return window.confirm(dotclear.msg.confirm_delete_themes);
-				}
+        // confirm delete
+        if (action == 'delete') {
+          return window.confirm(dotclear.msg.confirm_delete_themes);
+        }
 
-			// action on one module
-			}else {
-				var module = mvalues[1];
+        // action on one module
+      } else {
+        var module = mvalues[1];
 
-				// confirm delete
-				if (action == 'delete') {
-					return window.confirm(dotclear.msg.confirm_delete_theme.replace('%s',module));
-				}
-			}
+        // confirm delete
+        if (action == 'delete') {
+          return window.confirm(dotclear.msg.confirm_delete_theme.replace('%s', module));
+        }
+      }
 
-			return true;
-		});
-	});
+      return true;
+    });
+  });
 });
Index: admin/js/_blogs.js
===================================================================
--- admin/js/_blogs.js	(revision 3403)
+++ admin/js/_blogs.js	(revision 3706)
@@ -1,13 +1,16 @@
+/*global $, dotclear */
+'use strict';
+
 $(function() {
-	$('.checkboxes-helpers').each(function() {
-		dotclear.checkboxesHelpers(this,undefined,'#form-blogs td input[type=checkbox]','#form-blogs #do-action');
-	});
-	$('#form-blogs td input[type=checkbox]').enableShiftClick();
-	dotclear.condSubmit('#form-blogs td input[type=checkbox]','#form-blogs #do-action');
-	$('#form-blogs').submit(function() {
-		var action = $(this).find('select[name="action"]').val();
-		if (action == 'delete') {
-			return window.confirm(dotclear.msg.confirm_delete_blog.replace('%s',$('input[name="blogs[]"]:checked').size()));
-		}
-	});
+  $('.checkboxes-helpers').each(function() {
+    dotclear.checkboxesHelpers(this, undefined, '#form-blogs td input[type=checkbox]', '#form-blogs #do-action');
+  });
+  $('#form-blogs td input[type=checkbox]').enableShiftClick();
+  dotclear.condSubmit('#form-blogs td input[type=checkbox]', '#form-blogs #do-action');
+  $('#form-blogs').submit(function() {
+    var action = $(this).find('select[name="action"]').val();
+    if (action == 'delete') {
+      return window.confirm(dotclear.msg.confirm_delete_blog.replace('%s', $('input[name="blogs[]"]:checked').size()));
+    }
+  });
 });
Index: admin/js/_blogs_actions.js
===================================================================
--- admin/js/_blogs_actions.js	(revision 3403)
+++ admin/js/_blogs_actions.js	(revision 3706)
@@ -1,3 +1,6 @@
+/*global $, dotclear */
+'use strict';
+
 $(function() {
-	dotclear.condSubmit('table.blogs-list td input[type=checkbox]','input[type=submit]');
+  dotclear.condSubmit('table.blogs-list td input[type=checkbox]', 'input[type=submit]');
 });
Index: admin/js/_categories.js
===================================================================
--- admin/js/_categories.js	(revision 2190)
+++ admin/js/_categories.js	(revision 3706)
@@ -1,23 +1,26 @@
+/*global $, dotclear */
+'use strict';
+
 $(function() {
-	if ($.fn['nestedSortable']!==undefined) {
-		$('#categories ul li').css('cursor','move');
-		$('#save-set-order').prop('disabled',true).addClass('disabled');
-		$('#categories ul').nestedSortable({
-			listType: 'ul',
-			items: 'li',
-			placeholder: 'placeholder',
-			update: function() {
-				$('#categories_order').attr('value',JSON.stringify($('#categories ul').nestedSortable('toArray')));
-				$('#save-set-order').prop('disabled',false).removeClass('disabled');
-			}
-		});
-	}
+  if ($.fn.nestedSortable !== undefined) {
+    $('#categories ul li').css('cursor', 'move');
+    $('#save-set-order').prop('disabled', true).addClass('disabled');
+    $('#categories ul').nestedSortable({
+      listType: 'ul',
+      items: 'li',
+      placeholder: 'placeholder',
+      update: function() {
+        $('#categories_order').attr('value', JSON.stringify($('#categories ul').nestedSortable('toArray')));
+        $('#save-set-order').prop('disabled', false).removeClass('disabled');
+      }
+    });
+  }
 
-	$('input[name^="delete"]').click(function() {
-		return window.confirm(dotclear.msg.confirm_delete_category.replace('%s',$(this).parents('li').first().find('.cat-title label a').text()));
-	});
+  $('input[name^="delete"]').click(function() {
+    return window.confirm(dotclear.msg.confirm_delete_category.replace('%s', $(this).parents('li').first().find('.cat-title label a').text()));
+  });
 
-	$('input[name="reset"]').click(function() {
-		return window.confirm(dotclear.msg.confirm_reorder_categories);
-	});
+  $('input[name="reset"]').click(function() {
+    return window.confirm(dotclear.msg.confirm_reorder_categories);
+  });
 });
Index: admin/js/_category.js
===================================================================
--- admin/js/_category.js	(revision 2891)
+++ admin/js/_category.js	(revision 3706)
@@ -1,8 +1,11 @@
+/*global $, dotclear, jsToolBar */
+'use strict';
+
 $(function() {
-	dotclear.hideLockable();
+  dotclear.hideLockable();
 
-	if ($.isFunction(jsToolBar)) {
-		var tbCategory = new jsToolBar(document.getElementById('cat_desc'));
-		tbCategory.draw('xhtml');
-	}
+  if ($.isFunction(jsToolBar)) {
+    var tbCategory = new jsToolBar(document.getElementById('cat_desc'));
+    tbCategory.draw('xhtml');
+  }
 });
Index: admin/js/_comment.js
===================================================================
--- admin/js/_comment.js	(revision 2860)
+++ admin/js/_comment.js	(revision 3706)
@@ -1,2 +1,5 @@
+/*global $, dotclear, jsToolBar */
+'use strict';
+
 $(function() {
 	if ($.isFunction(jsToolBar)) {
Index: admin/js/_comments.js
===================================================================
--- admin/js/_comments.js	(revision 3182)
+++ admin/js/_comments.js	(revision 3706)
@@ -1,70 +1,72 @@
-dotclear.viewCommentContent = function(line,action) {
-	var action = action || 'toggle';
-	var commentId = $(line).attr('id').substr(1);
-	var tr = document.getElementById('ce'+commentId);
+/*global $, dotclear */
+'use strict';
 
-	if ( !tr && ( action == 'toggle' || action == 'open' ) ) {
-		tr = document.createElement('tr');
-		tr.id = 'ce'+commentId;
-		var td = document.createElement('td');
-		td.colSpan = 6;
-		td.className = 'expand';
-		tr.appendChild(td);
+dotclear.viewCommentContent = function(line, action) {
+  action = action || 'toggle';
+  var commentId = $(line).attr('id').substr(1);
+  var tr = document.getElementById('ce' + commentId);
 
-		// Get comment content
-		$.get('services.php',{f:'getCommentById',id: commentId},function(data) {
-			var rsp = $(data).children('rsp')[0];
+  if (!tr && (action == 'toggle' || action == 'open')) {
+    tr = document.createElement('tr');
+    tr.id = 'ce' + commentId;
+    var td = document.createElement('td');
+    td.colSpan = 6;
+    td.className = 'expand';
+    tr.appendChild(td);
 
-			if (rsp.attributes[0].value == 'ok') {
-				var comment = $(rsp).find('comment_display_content').text();
+    // Get comment content
+    $.get('services.php', {
+      f: 'getCommentById',
+      id: commentId
+    }, function(data) {
+      var rsp = $(data).children('rsp')[0];
 
-				if (comment) {
-					$(td).append(comment);
-					var comment_email = $(rsp).find('comment_email').text();
-					var comment_site = $(rsp).find('comment_site').text();
-					var comment_ip = $(rsp).find('comment_ip').text();
-					var comment_spam_disp = $(rsp).find('comment_spam_disp').text();
+      if (rsp.attributes[0].value == 'ok') {
+        var comment = $(rsp).find('comment_display_content').text();
 
-					$(td).append('<p><strong>' + dotclear.msg.website +
-					'</strong> ' + comment_site + '<br />' +
-					'<strong>' + dotclear.msg.email + '</strong> ' + comment_email + '<br />' +
-					'<strong>' + dotclear.msg.ip_address +
-					'</strong> <a href="comments.php?ip=' + comment_ip + '">' + comment_ip + '</a>' +
-					'<br />' + comment_spam_disp + '</p>');
-				}
-			} else {
-				alert($(rsp).find('message').text());
-			}
-		});
+        if (comment) {
+          $(td).append(comment);
+          var comment_email = $(rsp).find('comment_email').text();
+          var comment_site = $(rsp).find('comment_site').text();
+          var comment_ip = $(rsp).find('comment_ip').text();
+          var comment_spam_disp = $(rsp).find('comment_spam_disp').text();
 
-		$(line).toggleClass('expand');
-		line.parentNode.insertBefore(tr,line.nextSibling);
-	}
-	else if (tr && tr.style.display == 'none' && ( action == 'toggle' || action == 'open' ) )
-	{
-		$(tr).css('display', 'table-row');
-		$(line).addClass('expand');
-	}
-	else if (tr && tr.style.display != 'none' && ( action == 'toggle' || action == 'close' ) )
-	{
-		$(tr).css('display', 'none');
-		$(line).removeClass('expand');
-	}
+          $(td).append('<p><strong>' + dotclear.msg.website +
+            '</strong> ' + comment_site + '<br />' +
+            '<strong>' + dotclear.msg.email + '</strong> ' + comment_email + '<br />' +
+            '<strong>' + dotclear.msg.ip_address +
+            '</strong> <a href="comments.php?ip=' + comment_ip + '">' + comment_ip + '</a>' +
+            '<br />' + comment_spam_disp + '</p>');
+        }
+      } else {
+        window.alert($(rsp).find('message').text());
+      }
+    });
+
+    $(line).toggleClass('expand');
+    line.parentNode.insertBefore(tr, line.nextSibling);
+  } else if (tr && tr.style.display == 'none' && (action == 'toggle' || action == 'open')) {
+    $(tr).css('display', 'table-row');
+    $(line).addClass('expand');
+  } else if (tr && tr.style.display != 'none' && (action == 'toggle' || action == 'close')) {
+    $(tr).css('display', 'none');
+    $(line).removeClass('expand');
+  }
 };
 
 $(function() {
-	$.expandContent({
-		line:$('#form-comments tr:not(.line)'),
-		lines:$('#form-comments tr.line'),
-		callback:dotclear.viewCommentContent
-	});
-	$('.checkboxes-helpers').each(function() {
-		dotclear.checkboxesHelpers(this,undefined,'#form-comments td input[type=checkbox]','#form-comments #do-action');
-	});
-	$('#form-comments td input[type=checkbox]').enableShiftClick();
-	dotclear.commentsActionsHelper();
-	dotclear.condSubmit('#form-comments td input[type=checkbox]','#form-comments #do-action');
-	$('form input[type=submit][name=delete_all_spam]').click(function(){
-		return window.confirm(dotclear.msg.confirm_spam_delete);
-	});
+  $.expandContent({
+    line: $('#form-comments tr:not(.line)'),
+    lines: $('#form-comments tr.line'),
+    callback: dotclear.viewCommentContent
+  });
+  $('.checkboxes-helpers').each(function() {
+    dotclear.checkboxesHelpers(this, undefined, '#form-comments td input[type=checkbox]', '#form-comments #do-action');
+  });
+  $('#form-comments td input[type=checkbox]').enableShiftClick();
+  dotclear.commentsActionsHelper();
+  dotclear.condSubmit('#form-comments td input[type=checkbox]', '#form-comments #do-action');
+  $('form input[type=submit][name=delete_all_spam]').click(function() {
+    return window.confirm(dotclear.msg.confirm_spam_delete);
+  });
 });
Index: admin/js/_comments_actions.js
===================================================================
--- admin/js/_comments_actions.js	(revision 3184)
+++ admin/js/_comments_actions.js	(revision 3706)
@@ -1,2 +1,5 @@
+/*global $, dotclear */
+'use strict';
+
 $(function() {
 	dotclear.condSubmit('table.posts-list td input[type=checkbox]','input[type=submit]');
Index: admin/js/_index.js
===================================================================
--- admin/js/_index.js	(revision 3614)
+++ admin/js/_index.js	(revision 3706)
@@ -1,124 +1,129 @@
+/*global $, dotclear, jsToolBar */
+'use strict';
+
 $(function() {
-	var f = $('#quick-entry');
-	if (f.length > 0) {
-		if ($.isFunction(jsToolBar)) {
-			var contentTb = new jsToolBar($('#post_content',f)[0]);
-			contentTb.switchMode($('#post_format',f).val());
-		}
+  function quickPost(f, status) {
+    if ($.isFunction('jsToolBar') && (contentTb.getMode() == 'wysiwyg')) {
+      contentTb.syncContents('iframe');
+    }
 
-		$('input[name=save]',f).click(function() {
-			quickPost(f,-2);
-			return false;
-		});
+    var params = {
+      f: 'quickPost',
+      xd_check: dotclear.nonce,
+      post_title: $('#post_title', f).val(),
+      post_content: $('#post_content', f).val(),
+      cat_id: $('#cat_id', f).val(),
+      post_status: status,
+      post_format: $('#post_format', f).val(),
+      post_lang: $('#post_lang', f).val(),
+      new_cat_title: $('#new_cat_title', f).val(),
+      new_cat_parent: $('#new_cat_parent', f).val()
+    };
 
-		if ($('input[name=save-publish]',f).length > 0) {
-			var btn = $('<input type="submit" value="' + $('input[name=save-publish]',f).val() + '" />');
-			$('input[name=save-publish]',f).remove();
-			$('input[name=save]',f).after(btn).after(' ');
-			btn.click(function() {
-				quickPost(f,1);
-				return false;
-			});
-		}
+    $('p.qinfo', f).remove();
 
-		function quickPost(f,status) {
-			if ($.isFunction('jsToolBar') && (contentTb.getMode() == 'wysiwyg')) {
-				contentTb.syncContents('iframe');
-			}
+    $.post('services.php', params, function(data) {
+      var msg;
+      if ($('rsp[status=failed]', data).length > 0) {
+        msg = '<p class="qinfo"><strong>' + dotclear.msg.error +
+          '</strong> ' + $('rsp', data).text() + '</p>';
+      } else {
+        msg = '<p class="qinfo">' + dotclear.msg.entry_created +
+          ' - <a href="post.php?id=' + $('rsp>post', data).attr('id') + '">' +
+          dotclear.msg.edit_entry + '</a>';
+        if ($('rsp>post', data).attr('post_status') == 1) {
+          msg += ' - <a href="' + $('rsp>post', data).attr('post_url') + '">' +
+            dotclear.msg.view_entry + '</a>';
+        }
+        msg += '</p>';
+        $('#post_title', f).val('');
+        $('#post_content', f).val('');
+        $('#post_content', f).change();
+        if ($.isFunction('jsToolBar') && (contentTb.getMode() == 'wysiwyg')) {
+          contentTb.syncContents('textarea');
+        }
+        $('#cat_id', f).val('0');
+        $('#new_cat_title', f).val('');
+        $('#new_cat_parent', f).val('0');
+      }
 
-			var params = {
-				f: 'quickPost',
-				xd_check: dotclear.nonce,
-				post_title: $('#post_title',f).val(),
-				post_content: $('#post_content',f).val(),
-				cat_id: $('#cat_id',f).val(),
-				post_status: status,
-				post_format: $('#post_format',f).val(),
-				post_lang: $('#post_lang',f).val(),
-				new_cat_title: $('#new_cat_title',f).val(),
-				new_cat_parent: $('#new_cat_parent',f).val()
-			}
+      $('fieldset', f).prepend(msg);
+    });
+  }
 
-			$('p.qinfo',f).remove();
+  var f = $('#quick-entry');
+  if (f.length > 0) {
+    if ($.isFunction(jsToolBar)) {
+      var contentTb = new jsToolBar($('#post_content', f)[0]);
+      contentTb.switchMode($('#post_format', f).val());
+    }
 
-			$.post('services.php',params,function(data) {
-				if ($('rsp[status=failed]',data).length > 0) {
-					var msg = '<p class="qinfo"><strong>' + dotclear.msg.error +
-					'</strong> ' + $('rsp',data).text() + '</p>';
-				} else {
-					var msg = '<p class="qinfo">' + dotclear.msg.entry_created +
-					' - <a href="post.php?id=' + $('rsp>post',data).attr('id') + '">' +
-					dotclear.msg.edit_entry + '</a>';
-					if ($('rsp>post',data).attr('post_status') == 1) {
-						msg += ' - <a href="' + $('rsp>post',data).attr('post_url') + '">' +
-						dotclear.msg.view_entry + '</a>';
-					}
-					msg += '</p>';
-					$('#post_title',f).val('');
-					$('#post_content',f).val('');
-					$('#post_content',f).change();
-					if ($.isFunction('jsToolBar') &&  (contentTb.getMode() == 'wysiwyg')) {
-						contentTb.syncContents('textarea');
-					}
-					$('#cat_id',f).val('0');
-					$('#new_cat_title',f).val('');
-					$('#new_cat_parent',f).val('0');
-				}
+    $('input[name=save]', f).click(function() {
+      quickPost(f, -2);
+      return false;
+    });
 
-				$('fieldset',f).prepend(msg);
-			});
-		}
-		$('#new_cat').toggleWithLegend($('#new_cat').parent().children().not('#new_cat'), {
-			// no cookie on new category as we don't use this every day
-			legend_click: true
-		});
-	}
+    if ($('input[name=save-publish]', f).length > 0) {
+      var btn = $('<input type="submit" value="' + $('input[name=save-publish]', f).val() + '" />');
+      $('input[name=save-publish]', f).remove();
+      $('input[name=save]', f).after(btn).after(' ');
+      btn.click(function() {
+        quickPost(f, 1);
+        return false;
+      });
+    }
 
-	// allow to hide quick entry div, and remember choice
-	$('#quick h3').toggleWithLegend($('#quick').children().not('h3'),{
-		legend_click: true,
-		user_pref: 'dcx_quick_entry'
-	});
+    $('#new_cat').toggleWithLegend($('#new_cat').parent().children().not('#new_cat'), {
+      // no cookie on new category as we don't use this every day
+      legend_click: true
+    });
+  }
 
-	// check if core update available
-	var params = {
-		f: 'checkCoreUpdate',
-		xd_check: dotclear.nonce
-	};
-	$.post('services.php',params,function(data) {
-		if ($('rsp[status=failed]',data).length > 0) {
-			// Silently fail as a forced checked my be done with admin update page
-		} else {
-			if ($('rsp>update',data).attr('check') == 1) {
-				// Something has to be displayed
-				xml = $('rsp>update',data).attr('ret');
-				$('#content h2').after(xml);
-			}
-		}
-	});
+  // allow to hide quick entry div, and remember choice
+  $('#quick h3').toggleWithLegend($('#quick').children().not('h3'), {
+    legend_click: true,
+    user_pref: 'dcx_quick_entry'
+  });
 
-	// check if some news are available
-	var params = {
-		f: 'checkNewsUpdate',
-		xd_check: dotclear.nonce
-	};
-	$.post('services.php',params,function(data) {
-		if ($('rsp[status=failed]',data).length > 0) {
-			// Silently fail
-		} else {
-			if ($('rsp>news',data).attr('check') == 1) {
-				// Something has to be displayed
-				xml = $('rsp>news',data).attr('ret');
-				if ($('#dashboard-boxes').length == 0) {
-					// Create the #dashboard-boxes container
-					$('#dashboard-main').append('<div id="dashboard-boxes"></div>');
-				}
-				if ($('#dashboard-boxes div.db-items').length == 0) {
-					// Create the #dashboard-boxes div.db-items container
-					$('#dashboard-boxes').prepend('<div class="db-items"></div>');
-				}
-				$('#dashboard-boxes div.db-items').prepend(xml);
-			}
-		}
-	});
+  // check if core update available
+  var params = {
+    f: 'checkCoreUpdate',
+    xd_check: dotclear.nonce
+  };
+  $.post('services.php', params, function(data) {
+    if ($('rsp[status=failed]', data).length > 0) {
+      // Silently fail as a forced checked my be done with admin update page
+    } else {
+      if ($('rsp>update', data).attr('check') == 1) {
+        // Something has to be displayed
+        var xml = $('rsp>update', data).attr('ret');
+        $('#content h2').after(xml);
+      }
+    }
+  });
+
+  // check if some news are available
+  params = {
+    f: 'checkNewsUpdate',
+    xd_check: dotclear.nonce
+  };
+  $.post('services.php', params, function(data) {
+    if ($('rsp[status=failed]', data).length > 0) {
+      // Silently fail
+    } else {
+      if ($('rsp>news', data).attr('check') == 1) {
+        // Something has to be displayed
+        var xml = $('rsp>news', data).attr('ret');
+        if ($('#dashboard-boxes').length == 0) {
+          // Create the #dashboard-boxes container
+          $('#dashboard-main').append('<div id="dashboard-boxes"></div>');
+        }
+        if ($('#dashboard-boxes div.db-items').length == 0) {
+          // Create the #dashboard-boxes div.db-items container
+          $('#dashboard-boxes').prepend('<div class="db-items"></div>');
+        }
+        $('#dashboard-boxes div.db-items').prepend(xml);
+      }
+    }
+  });
 });
Index: admin/js/_langs.js
===================================================================
--- admin/js/_langs.js	(revision 2566)
+++ admin/js/_langs.js	(revision 3706)
@@ -1,2 +1,5 @@
+/*global $, dotclear */
+'use strict';
+
 $(function() {
 	$('table.plugins form input[type=submit][name=delete]').click(function() {
